Bug 492004 - pkcon update-detail doesn't show any details for several packages
pkcon update-detail doesn't show any details for several packages
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 18:25 EDT by Paul Wilson
Modified: 2009-04-14 11:55 EDT (History)
6 users (show)

See Also:
Fixed In Version: 0.3.15-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-27 09:30:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Wilson 2009-03-24 18:25:28 EDT
Description of problem:
the console command 'pkcon update-detail libX11' doesn't show any details other than:
Details about the update:
  package:    'libX11-1.1.4-6.fc10.i386'
  updates:    libX11;1.1.4-6.fc10;i386;installed

But the gui program shows more details on the bug/fix details etc..

Version-Release number of selected component (if applicable):
PackageKit-0.3.14-1.fc10.i386.rpm
PackageKit-glib-0.3.14-1.fc10.i386.rpm
PackageKit-udev-helper-0.3.14-1.fc10.i386.rpm
PackageKit-yum-0.3.14-1.fc10.i386.rpm
PackageKit-yum-plugin-0.3.14-1.fc10.i386.rpm
gnome-packagekit-0.3.14-1.fc10.i386.rpm


How reproducible:

Steps to Reproduce:
1.use "yum update" to show package list of updates
2. pkcon update-detail <package-name>

  
Actual results:
 pkcon get-update-detail  lcms-libs
Details about the update:
  package:    'lcms-libs-1.17-6.fc10.i386'
  updates:    lcms-libs;1.17-6.fc10;i386;installed


Expected results:
as above plus: 
bugzilla links and details of the update

Additional info:
Comment 1 Richard Hughes 2009-03-27 09:30:39 EDT
commit 46113aa00a44eb679661a5e3df932fd636f56f67
Author: Richard Hughes <richard@hughsie.com>
Date:   Fri Mar 27 13:13:44 2009 +0000

    bugfix: when we get the update detail in pkcon, resolve not-installed packages, rather than installed ones. Fixes rh#492004

I'll push this out on the next F10 update which will be on Monday.
Comment 2 Fedora Update System 2009-03-30 07:19:31 EDT
PackageKit-0.3.15-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/PackageKit-0.3.15-1.fc10
Comment 3 Fedora Update System 2009-04-14 11:55:14 EDT
PackageKit-0.3.15-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.